### Function

# FwupdPlugin lid_state_to_string

since: 1.7.4

#### Declaration [src]

    const gchar*
    fu_lid_state_to_string (
      FuLidState lid_state
    )

#### Description [src]

Converts an enumerated type to a string.

Available since: 1.7.4

#### Parameters

`lid_state`

  Type: `FuLidState`

  A lid state, e.g. `FU_LID_STATE_CLOSED`.

#### Return value

Type: `const gchar*`

A string, or `NULL` for invalid.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.